config PACKAGE_deviceinfo-manager
    tristate
    select SAH_AMX_TR181_DEVICEINFO

if PACKAGE_deviceinfo-manager

menu "Select deviceinfo-manager build options"
    depends on PACKAGE_deviceinfo-manager

config SAH_AMX_TR181_DEVICEINFO
    bool "Build a tr181 compatible device info plugin"
    default y

config SAH_AMX_TR181_DEVICEINFO_ORDER
    int "tr181 deviceinfo Plugin start up order"
    default 25

config SAH_AMX_TR181_DEVICEINFO_SYSTEM_ORDER
    int "tr181 deviceinfo system Plugin start up order"
    default 12

config SAH_AMX_TR181_ENVIRONMENT_ORDER
    int "Configure env variables order"
    default 12

config SAH_AMX_ADD_SYSINIT_DONE_SCRIPT
    bool "Add sysinit_done script"
    default n

config SAH_AMX_ADD_DBREADY_SCRIPT
    bool "Add dbready script"
    default y

config SAH_AMX_TR181_DEVICEINFO_DEVELOPMENT
    bool "Configure service for development, enable debug features"
    default n

config SAH_AMX_TR181_DEVICEINFO_SOFTWARE_VERSION
    string "Configure the software version"
    default "XX"

config SAH_AMX_TR181_DEVICEINFO_RUN_AS_USER
    string "User will be used for the TR181_DEVICEINFO plugin"
    default "root"

config SAH_AMX_TR181_DEVICEINFO_RUN_AS_GROUP
    string "Group will be used for the TR181_DEVICEINFO plugin"
    default "root"

config SAH_AMX_TR181_DEVICEINFO_NUMBER_OF_EXTRA_MAC_ADDRESSES
    string "The number of extra mac addresses to expose in /var/etc/environment (BASEMACADDRESS_PLUS_X)"
    default "7"

config SAH_AMX_TR181_DEVICEINFO_REQUIRES_USERS
    bool "Add a dependency on Users.User that is required on prpl OS"
    default y

endmenu

endif
